Bug 538465 - Review Request: libmx - A clutter widget toolkit
Review Request: libmx - A clutter widget toolkit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MeeGo1
  Show dependency treegraph
 
Reported: 2009-11-18 11:27 EST by Peter Robinson
Modified: 2010-01-06 18:12 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 18:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sebastian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-11-18 11:27:11 EST
SPEC: http://pbrobinson.fedorapeople.org/libmx.spec
SRPM: http://pbrobinson.fedorapeople.org/libmx-0.1.1-1.fc12.src.rpm

%description
The Moblin User Experience is a GUI toolkit, using Clutter and 
is optimised for Moblin. It consists of various classes useful 
for building UIs such as Buttons, Tooltips, Scrollbars and 
others. It also supports styling through CSS stylesheets.

NOTE: the upstream name for this package is mx but there is a conflicting python package called mx already.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1814556
Comment 1 Peter Robinson 2009-11-19 07:21:23 EST
New upstream
SRPM: http://pbrobinson.fedorapeople.org/libmx-0.1.2-1.fc12.src.rpm
Comment 4 Bill Nottingham 2009-12-17 12:37:56 EST
Given the existence of the mx/mx-devel packages, a little more description in the -devel packages might help
Comment 5 Till Maas 2009-12-17 12:42:48 EST
There is also another project called mx/libmx which seems to be older and still be maintained: http://www.lostsidedead.com/mx/

I suggest to use moblin-mx to avoid potential future conflicts, but this might be worth discussion on fedora-devel.
Comment 6 Orcan Ogetbil 2009-12-17 13:29:18 EST
just had a quick look:
* I think that %{_datadir}/gtk-doc/html/mx needs to be tagged with %doc. 
* Also please span the description to 80 columns as much as possible. 
* Source0 seems wrong.
Comment 7 Peter Robinson 2010-01-04 13:43:36 EST
(In reply to comment #4)
> Given the existence of the mx/mx-devel packages, a little more description in
> the -devel packages might help  

I'm going to shortly improve all the descriptions. It looks like the gnome-shell people are going to be making use of this so I want to remove all mention of Moblin in the description as it looks like its going to be used in gnome-shell (this library will replace nbtk for Moblin 2.2) and gnome-shell pulls in a chunk of nbtk.
Comment 8 Peter Robinson 2010-01-04 13:46:34 EST
> just had a quick look:
> * I think that %{_datadir}/gtk-doc/html/mx needs to be tagged with %doc. 

I have been told that gtk-doc will automatically get tagged as docs due to the %{_datadir}/gtk-doc dir being tagged as %doc.

> * Also please span the description to 80 columns as much as possible. 

Will update when I update the description

> * Source0 seems wrong.  

In the rush I didn't update the URL. Will fix.
Comment 10 Sebastian Dziallas 2010-01-05 08:27:03 EST
I'm going to take a look at this one.
Comment 11 Sebastian Dziallas 2010-01-05 08:38:21 EST
[  OK  ] specfiles match: 5b84e5e23a3ed18216bb0c4e8d8961db
[  OK  ] source files match upstream: 916694e534ae745d3a809c4634b6696f
[  OK  ] package meets naming and versioning guidelines.
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  OK  ] compiler flags are appropriate.
[  OK  ] %clean is present.
[  OK  ] package builds in mock: http://koji.fedoraproject.org/koji/taskinfo?taskID=1902982
[  OK  ] package installs properly.
[  OK  ] debuginfo package looks complete.
[  OK  ] rpmlint is silent: libmx-devel.i686: W: no-documentation
[  OK  ] final provides and requires are sane
[  NA  ] %check is present and all tests pass
[  OK  ] no shared libraries are added to the regular linker search paths.
[  NA  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  NA  ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] docs subpackage is appropriately created
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] headers go into devel package.
[  OK  ] pkgconfig files are in devel package.
[  OK  ] no libtool .la droppings.
[  NA  ] desktop files valid and installed properly.

Looks like you're good to go here. The rpmlint warning is a non-issue, since the devel package pulls the main package in anyway. So this is APPROVED.
Comment 12 Peter Robinson 2010-01-05 08:53:53 EST
New Package CVS Request
=======================
Package Name: libmx
Short Description: A clutter widget toolkit
Owners: pbrobinson
Branches: F-12
InitialCC:
Comment 13 Kevin Fenzi 2010-01-06 16:40:50 EST
cvs done.
Comment 14 Peter Robinson 2010-01-06 18:12:11 EST
Built and in rawhide. Thanks for the review and feedback!

Note You need to log in before you can comment on or make changes to this bug.